Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class PickRay

    java.lang.Object
      javax.media.j3d.PickShape
          javax.media.j3d.PickRay

    public final class PickRay

extends PickShape

PickRay is an infinite ray pick shape. It can be used as an argument to the picking methods in BranchGroup and Locale.

See Also:
  `BranchGroup.pickAll(javax.media.j3d.PickShape)`, `Locale.pickAll(javax.media.j3d.PickShape)`

Constructor Summary
`PickRay()` Constructs an empty PickRay.
`PickRay(Point3d origin, Vector3d direction)` Constructs an infinite ray pick shape from the specified parameters.

Method Summary
`void` | `get(Point3d origin, Vector3d direction)` Retrieves the parameters from this PickRay.
`void` | `set(Point3d origin, Vector3d direction)` Sets the parameters of this PickRay to the specified values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PickRay

    public PickRay()

  Constructs an empty PickRay. The origin and direction of the ray are initialized to (0,0,0).

### PickRay

    public PickRay(Point3d origin,
                   Vector3d direction)

  Constructs an infinite ray pick shape from the specified parameters.

  Parameters:
    `origin` - the origin of the ray.
    `direction` - the direction of the ray.

Method Detail

### set

    public void set(Point3d origin,
                    Vector3d direction)

  Sets the parameters of this PickRay to the specified values.

  Parameters:
    `origin` - the origin of the ray.
    `direction` - the direction of the ray.

### get

    public void get(Point3d origin,
                    Vector3d direction)

  Retrieves the parameters from this PickRay.

  Parameters:
    `origin` - the Point3d object into which the origin will be copied.
    `direction` - the Vector3d object into which the direction will be copied.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD